Bug 103206 - FILEOPEN: Vertical numbers (added with a table/frame in the header) missing from left margin in DOCX (Pleading document)
Summary: FILEOPEN: Vertical numbers (added with a table/frame in the header) missing f...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:docx
Depends on: 90534 103208
Blocks: DOCX-Header-Footer
  Show dependency treegraph
 
Reported: 2016-10-14 04:28 UTC by Robinson Tryon (qubit)
Modified: 2018-12-29 03:49 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot showing situation in Word with Table/frame in header that is used for numbers and lines... (78.90 KB, image/png)
2016-10-14 13:12 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robinson Tryon (qubit) 2016-10-14 04:28:27 UTC
+++ This bug was initially created as a clone of Bug #90534 +++

The court requires documents to have the numbers 1-28 in the left margin. (Word puts these in the header.)

Attachment 114701 [details] is a DOCX document that includes said line numbers as expected by the courts.

Here's how it looks in Mac Word 2011:  attachment 114709 [details]
Here's how it looks in a recent build of 5.3 alpha0: attachment 127334 [details]

In LibreOffice, the line numbers are missing.
Comment 1 Cor Nouws 2016-10-14 07:25:39 UTC
Indeed, this docx file opens broken, different. 
But no, it is not related to the format required by the court - one could get the needed result in another way too.

Even more broken in 3.3.0.4

wrt severity: Just a 'normal' formatting issue
Comment 2 Cor Nouws 2016-10-14 13:12:54 UTC
Created attachment 128005 [details]
screen shot showing situation in Word with Table/frame in header that is used for numbers and lines...
Comment 3 QA Administrators 2017-12-10 16:40:16 UTC Comment hidden (obsolete)
Comment 4 Cor Nouws 2017-12-28 22:54:05 UTC
still wrong in 
Version: 6.1.0.0.alpha0+
Build ID: a9b202a6b7000e7af34f2a639ca207122a3968bf
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-12-26_23:09:36
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded
Comment 5 QA Administrators 2018-12-29 03:49:31 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug